 import java.io.*;  
 class NAtest1 
 {    
   public static void main(String args[]) throws IOException,ClassNotFoundException  
   { 
	 String s="cos(x)";
     double x=Math.PI/4.0;
     System.out.println(NA.feval(s,x));
   }  
 }   
